Search the Community
Showing results for tags 'pan'.
-
When I use the interactive pan I sometimes get stuck in that mode and have to hit the ALT button to get my cursor to change back from a hand to a box. Does anyone else experience this? Is there a fix? Thanks
-
zoom and pan with right click
chrisdarmanin posted a topic in The CUI, Hatches, Linetypes, Scripts & Macros
scared with modifying the cui so maybe someone can help me. i want to set the rmb (right mouse button) to pan and ctrl+rmb to zoom i.e. just like in rhino.. is this possible and can maybe someone guide me? -
Just thought I'd share a routine I created yesterday - I hope others find it useful. Sometimes I run into situations where I need to move portions of my model great distances, and I have to spend a few minutes each time updating the viewport so that my leaders and tags in paperspace line up with the shifted model. The only technique I found was this one, which isn't very practical when I'm moving things a thousand odd feet away. Here's how the LISP works. You go to modelspace and draw a line between the old location and the new one. Then you go to paperspace and enter the viewport you need to update. Simply start the command with "PANLINE", and click on the line. I've also included an option to reverse the pan direction depending on which way you drew the line, and a warning if the viewport is locked. Here's the code: (defun c:PANLINE ( / lock flag alrt line p1 p2 option) ;Pans from one end of a line to another. ;Useful for updating a viewport when objects in modelspace have been moved. ;Created by Perry Lackowski on 12/22/2016 (VL-LOAD-COM) (setq lock (VLA-GET-DISPLAYLOCKED (VLA-GET-ACTIVEPVIEWPORT (VLA-GET-ACTIVEDOCUMENT (VLAX-GET-ACAD-OBJECT))))); (setq alrt (VL-SYMBOL-NAME lock)) (IF (= alrt ":vlax-true") (princ "\nCannot pan inside a locked viewport") (progn ;Prevents the rest of the code from running if an active viewport is locked. (setq flag f) (while (not flag) (setq line (car (entsel "\nSelect Line : "))) (cond ( (null line) (princ "\nNothing selected, Please try again.") ) ( (= (cdr (assoc 0 (entget line))) "LINE") (setq flag t) ) ( t (princ "\nSelected object is not line, Please try again.")) ) ) (setq p1 (cdr (assoc 10 (entget line)))) (setq p2 (cdr (assoc 11 (entget line)))) ;retrieves the contents of group codes 10 and 11 which contain the first and second point of the line. (command ".-pan" p2 p1) (princ "Reverse direction [Yes/No] <No>:") (initget 6 "Yes or No") (setq option (getkword "\nReverse pan direction? (Yes/No) <No>: ")) (if (= option "Yes") (progn (command ".-pan" p1 p2) (command ".-pan" p1 p2) ) ) (princ "\nPan complete.") ));end progn/if (princ) );end defun
-
Hi, I can't seem to pan or zoom, and the viewport is NOT locked. Please help. I keep having to delete the viewports and start over. Easy fix but time consuming when I have to recreate a dozen layouts. Thank you!
-
Hi all! This site is so amazingly useful, and I can't believe I'm finally just registering. First post! ------------------------------ Okay, so there are two parts to my question: 1. I know I've seen this answered before, but is there a way to pan within a locked viewport? Everything I've tried has led me to believe that this is not possible. Could someone please confirm? 2. Is it possible to limit a viewport's scale to one specific value? In my case I need all of my viewports, on multiple sheets, to show my model space in 1:100. That said I don't want to be able to zoom in this viewport, just a straight up "pan-only" space--hence my first question. Edit#1: So to further explain my situation, this particular drawing set that I'm putting together is only used to focus and display what is in my modelspace --nothing more. It seems as though I'll need to continue unlocking, panning, zooming, scaling, and re-locking my work for now. In the end the final goal was to send this drawing template to a client to allow them to adjust what areas of the drawing the wanted to display without them needing to play with the scale.
-
HI, I have been using Windows Copy/Move by using ctrl+dragging any object (except the grids) or simply dragging the object. However, one limits I noticed so far is that I can't go beyond the actual screen. I have to move the objects twice/thrice in order when the destination is far away. This is not the case with the MOVE/COPY SELECTION command where I can pan. Is there any solution to the problem that I am missing? Thank you in advanced, Nicolas.
- 4 replies
-
- windows copy
- pan
-
(and 2 more)
Tagged with: